rule("volk.env")
    -- before load
    on_load(function (target)
        if is_plat("windows") then 
            target:add("defines", "VK_USE_PLATFORM_WIN32_KHR=1")
        elseif is_plat("linux") then 
            target:add("defines", "VK_USE_PLATFORM_XLIB_KHR=1")
        elseif is_plat("macosx") then 
            target:add("defines", "VK_USE_PLATFORM_MACOS_MVK=1")
        end
    end)